function dx=lorenz(t,x)

% base on Robinson, "An Introductin to Dynamical Systems Continuous and
% Discrete"

% Bifurcation of the lorenz system:
% r=1
% r~24.74
% r~13.926
% r=28          chaotic

% solve it with 
% [t_4,x_4]=ode45('lorenz',[0 100],[10 10 10]);

sigma=10;
b=8/3;
r=28;

dx=zeros(3,1);
dx(1)=sigma*(x(2)-x(1));
dx(2)=r*x(1)-x(2)-x(1)*x(3);
dx(3)=x(1)*x(2)-b*x(3);